/**
 * Represents an http error.
 */
export class HTTPError extends Error
{
    /**
     * The http status code.
     *
     * @type {number}
     */
    status;

    /**
     * Initializes a new instance of the {@link HTTPError `HTTPError`} class.
     *
     * @param {number} status
     * The http status code.
     *
     * @param {string} message
     * The error message.
     */
    constructor(status, message)
    {
        super(message);
        this.status = status;
    }
}
